Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control.io
Class StringReaderSource

A ReaderSource for source strings.

author:
  Chris Poirier

version:
  $Id: StringReaderSource.java 7922 2007-09-04 01:42:57Z paulk $

Field Summary
`String` | `string`

Constructor Summary
`StringReaderSource(String string, CompilerConfiguration configuration)` Creates the ReaderSource from a File descriptor.

Method Summary
`Reader` | `getReader()` Returns a new Reader on the underlying source object.

Constructor Detail

### StringReaderSource

    public StringReaderSource(String string, CompilerConfiguration configuration)

  Creates the ReaderSource from a File descriptor.
  param:
    string string containing script source
  param:
    configuration configuration for compiling source

Method Detail

### getReader

    public Reader getReader()

  Returns a new Reader on the underlying source object.